View Issue Details

IDProjectCategoryView StatusLast Update
0016259CentOS-7yumpublic2019-07-10 21:43
Reportermark-5 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
PlatformOSCentOS LinuxOS Version7.6.1810
Product Version7.6.1810 
Target VersionFixed in Version 
Summary0016259: yum exits successfully when package name is misspelled
DescriptionWhen yum install is passed a misspelled package name, it still exits successfully if another valid package name is passed.
Steps To Reproduceyum install util-linux bad-package-name && echo exited successfully
Additional Information$ yum --version
3.4.3
  Installed: rpm-4.11.3-35.el7.x86_64 at 2019-03-05 17:35
  Built : CentOS BuildSystem <http://bugs.centos.org> at 2018-10-30 19:27
  Committed: Pavlina Moravcova Varekova <pmoravco@redhat.com> at 2018-06-19

  Installed: yum-3.4.3-161.el7.centos.noarch at 2019-03-05 17:35
  Built : CentOS BuildSystem <http://bugs.centos.org> at 2018-11-05 01:54
  Committed: CentOS Sources <bugs@centos.org> at 2018-10-30

  Installed: yum-plugin-fastestmirror-1.1.31-50.el7.noarch at 2019-03-05 17:35
  Built : CentOS BuildSystem <http://bugs.centos.org> at 2018-10-30 22:58
  Committed: Michal Domonkos <mdomonko@redhat.com> at 2018-08-24
$ yum install util-linux bad-package-name && echo exited successfully
Loaded plugins: fastestmirror, ovl
Loading mirror speeds from cached hostfile
 * base: mirror.steadfastnet.com
 * extras: mirror.cs.pitt.edu
 * updates: mirrors.liquidweb.com
Package util-linux-2.23.2-59.el7_6.1.x86_64 already installed and latest version
No package bad-package-name available.
Nothing to do
exited successfully
TagsNo tags attached.
abrt_hash
URL

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2019-07-10 21:43 mark-5 New Issue